import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as g } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, c = (n, e, s, t) => {
  for (var r = t > 1 ? void 0 : t ? m(e, s) : e, p = n.length - 1, i; p >= 0; p--)
    (i = n[p]) && (r = (t ? i(e, s, r) : i(r)) || r);
  return t && r && f(e, s, r), r;
};
let o = class extends g {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--arrowUpLarge", this.class = "c-pieIcon c-pieIcon--arrowUpLarge", this.name = "IconArrowUpLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--arrowUpLarge"><path d="M16.875 28.25V6.375l7 7 1.234-1.234-7.875-7.875a1.751 1.751 0 0 0-2.477 0l-7.874 7.875 1.242 1.234 7-7V28.25h1.75Z"></path></svg>`;
  }
};
c([
  a({ type: String, reflect: !0 })
], o.prototype, "size", 2);
c([
  a({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = c([
  h("icon-arrow-up-large")
], o);
export {
  o as IconArrowUpLarge
};
